Summary: emi.fts.transfer-url-copy
Name: transfer-url-copy
Version: 
Release:
License: Apache Software License
Vendor: EMI
Group: System Environment/Libraries
BuildRequires: gridftp-ifce-devel
BuildRequires: is-interface-devel
BuildRequires: log4cpp-devel
BuildRequires: agents-common
BuildRequires: cppunit-devel
BuildRequires: elinks
BuildRequires: srm-util-cpp
BuildRequires: boost-devel
BuildRequires: msg-ifce
BuildRequires: lcgutil-build-common-cpp
BuildRequires: glite-build-common-cpp
BuildRequires: libtool
BuildRequires: globus-common-progs
BuildRequires: globus-gssapi-gsi-devel
BuildRequires: globus-gss-assist-devel
BuildRequires: globus-gass-copy-devel
BuildRequires: openldap-devel
BuildRequires: libxslt
BuildRequires: docbook-style-xsl
Requires: gridftp-ifce
Requires: is-interface
Requires: srm-util-cpp
Requires: boost
Requires: msg-ifce
Requires: log4cpp
BuildRoot: %{_builddir}/%{name}-root
AutoReqProv: yes
Source: %{name}-%{version}.tar.gz

%description
This package provides glite-url-copy with a status and stop capability.

%prep
 

%setup -c 

%build
mkdir -p src/autogen; aclocal -I /usr/share/emi/build/m4 -I /share/build/m4;  libtoolize --force; autoheader; automake --foreign --add-missing --copy; autoconf
./configure --prefix=%{buildroot}/usr --with-prefixetc=%{buildroot}/etc  --mandir=%{buildroot}/share/man --with-version=%{version} --with-dist-location=%{buildroot}/usr --with-glite-location=/usr --with-emi
 make all
  
  

%install
QA_SKIP_BUILD_ROOT=1; export QA_SKIP_BUILD_ROOT
rm -rf %{buildroot}
 mkdir -p %{buildroot}
 mkdir -p %{buildroot}/usr; make install
 find %{buildroot} -name '*.la' -exec rm -rf {} \;
 find %{buildroot} -name '*.pc' -exec sed -i -e "s|%{buildroot}||g" {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libglite_data_transfer_url_copy.a
%{_libdir}/libglite_data_transfer_url_copy.so.*
%{_libdir}/libglite_data_transfer_url_copy.so
%{_bindir}/glite-url-copy
%{_bindir}/glite-url-copy-status
%{_bindir}/glite-url-copy-stop
%{_bindir}/glite-url-copy-cleanlog
%{_bindir}/glite-url-copy-continue
%{_bindir}/glite-srm-copy
%{_bindir}/glite-url-copy-print-status
%dir %{_includedir}/glite/
%dir %{_includedir}/glite/data/
%dir %{_includedir}/glite/data/transfer/
%dir %{_includedir}/glite/data/transfer/urlcopy/
%{_includedir}/glite/data/transfer/urlcopy/UrlCopyStatus.h
%{_includedir}/glite/data/transfer/urlcopy/TransferSrmCopyStat.h
%dir %{_includedir}/glite/data/transfer/urlcopy/details/
%{_includedir}/glite/data/transfer/urlcopy/details/TransferBase.h
%{_includedir}/glite/data/transfer/urlcopy/details/SurlPair.h
%{_includedir}/glite/data/transfer/urlcopy/details/TransferService.h
%{_includedir}/glite/data/transfer/urlcopy/UrlCopyError.h
%{_includedir}/glite/data/transfer/urlcopy/TransferUrlCopyStat.h
%{_includedir}/glite/data/transfer/urlcopy/TransferUrlCopy.h
%{_includedir}/glite/data/transfer/urlcopy/TransferSrmCopy.h
%dir /etc/
/etc/glite-data-transfer-url-copy.patterns.xml
%dir %{_datadir}/test/
%dir %{_datadir}/test/glite-data-transfer-url-copy/
%dir %{_datadir}/test/glite-data-transfer-url-copy/bin/
%{_datadir}/test/glite-data-transfer-url-copy/bin/glite-data-transfer-urlcopy-test
%dir %{_defaultdocdir}/glite-data-transfer-url-copy/
%{_defaultdocdir}/glite-data-transfer-url-copy/RELEASE-NOTES
%{_defaultdocdir}/glite-data-transfer-url-copy/INSTALL
%{_defaultdocdir}/glite-data-transfer-url-copy/TEST
%dir %{_defaultdocdir}/glite-data-transfer-url-copy/html/
%{_defaultdocdir}/glite-data-transfer-url-copy/html/README.html
%{_defaultdocdir}/glite-data-transfer-url-copy/html/TEST.html
%{_defaultdocdir}/glite-data-transfer-url-copy/html/INSTALL.html
%{_defaultdocdir}/glite-data-transfer-url-copy/README
%{_defaultdocdir}/glite-data-transfer-url-copy/LICENSE
%dir %{_libexecdir}/
%{_libexecdir}/glite-url-copy-get-checksum
%{_libexecdir}/glite-url-copy-exec
%{_libexecdir}/glite-srm-copy-exec

%changelog
 
