/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  GLite Data Transfer Url Copy: Collection of test classes for selective execution
 *
 *  Authors: Zsolt Molnar <zsolt.molnar@cern.ch>
 *  Version info: $Id: testSuite.cpp,v 1.4 2009/12/03 17:21:45 molnarzs Exp $
 *  Release: $Name:  $
 *
 */

#include "MmapTestCase.h"
#include "SrmCopyBug_37018.h"
#include "SrmCopyCoreCheckSumTestCase.h"
#include "SrmCopyCoreTestCase.h"
#include "SrmCopyCoreTokensTestCase.h"
#include "TransferStructsTestCase.h"
#include "UrlCopyCoreCheckSumTestCase.h"
#include "UrlCopyCoreTestCase.h"
#include "UrlCopyCoreTokensTestCase.h"
#include "UtilitiesTestCase.h"
#include "UrlCopyBug_37018.h"
#include "SrmCopyBug_37018.h"
#include "UrlCopyBug_47879.h"
#include "Test58470_MakeSyslogConfigurable.h"
#include "GGUS58402_FTS_Behaviour_for_UNAVAILABLE_Files.h"

// Registered tests
#if 0
CPPUNIT_TEST_SUITE_REGISTRATION(MmapTestCase);
CPPUNIT_TEST_SUITE_REGISTRATION(SrmCopyCoreCheckSumTestCase);
CPPUNIT_TEST_SUITE_REGISTRATION(SrmCopyCoreTestCase);
CPPUNIT_TEST_SUITE_REGISTRATION(SrmCopyCoreTokensTestCase);
CPPUNIT_TEST_SUITE_REGISTRATION(TransferStructsTestCase);
CPPUNIT_TEST_SUITE_REGISTRATION(UrlCopyCoreCheckSumTestCase);
CPPUNIT_TEST_SUITE_REGISTRATION(UrlCopyCoreTestCase);
CPPUNIT_TEST_SUITE_REGISTRATION(UrlCopyCoreTokensTestCase);
CPPUNIT_TEST_SUITE_REGISTRATION(UtilitiesTestCase);
CPPUNIT_TEST_SUITE_REGISTRATION(SrmCopyBug_37018);
CPPUNIT_TEST_SUITE_REGISTRATION(UrlCopyBug_37018);
CPPUNIT_TEST_SUITE_REGISTRATION(UrlCopyBug_47879);
CPPUNIT_TEST_SUITE_REGISTRATION(Test58470_MakeSyslogConfigurable);
CPPUNIT_TEST_SUITE_REGISTRATION(GGUS58402_FTS_Behaviour_for_UNAVAILABLE_Files);
#endif
CPPUNIT_TEST_SUITE_REGISTRATION(UrlCopyCoreCheckSumTestCase);
CPPUNIT_TEST_SUITE_REGISTRATION(SrmCopyCoreCheckSumTestCase);

