#!/bin/bash
#
#  Copyright (c) Members of the EGEE Collaboration. 2004.
#  See http://www.eu-egee.org/partners/ for details on the copyright
#  holders.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#
#  transfer-url-copy test script default endpoint definitions
#
#  Authors: Paolo Tedesco <paolo.tedesco@cern.ch>
#  Version info: $Id: default-endpoints-list.sh,v 1.3 2007/02/21 17:31:53 ptedesco Exp $
#  Release: $Name:  $

endpoint "dpm_cern_v1" "1.1" "lxdpm102.cern.ch"     "8443" "/srm/managerv1" "/dpm/cern.ch/home/dteam"
endpoint "dpm_cern_v2" "2.2" "lxdpm102.cern.ch"     "8446" "/srm/managerv2" "/dpm/cern.ch/home/dteam"
endpoint "castor2_v1"     "1.1" "srm.cern.ch"          "8443" "/srm/managerv1" "/castor/cern.ch/grid/dteam"
endpoint "castor2_v2"     "2.2" "srm-v2.cern.ch"       "8443" "/srm/managerv2" "/castor/cern.ch/grid/dteam"
endpoint "dcache_v1"     "1.1" "fledgling06.fnal.gov" "8443" "/srm/managerv1" "/fnal.gov/litvinse/NULL/testers"
endpoint "dcache_v2"     "2.2" "fledgling06.fnal.gov" "8443" "/srm/managerv2" "/fnal.gov/litvinse/NULL/testers"
endpoint "storm2"      "2.2" "ibm139.cnaf.infn.it"  "8444" "/srm/managerv2" "/gin"

